QGIS Application - Bug report #14658
Wmts layer not appearing
2016-04-11 07:52 AM - Vincenzo Pizzo

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.14.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22622
Description

| have some issues with this wmts server:
http://webapps.sit.puglia.it/arcgis/rest/services/Background/Catastolmpianto/ImageServer/WMTS/1.0.0/WMTSCapabilities.xml

| connect to the server, the layer appears but nothing is displayed. The same wmts layer is correctly displayed in arcmap so | suppose the
wmts server is ok.

Related issues:
Related to QGIS Application - Bug report # 14596: wmts nor referenced Closed 2016-03-31

Associated revisions

Revision 430694ba - 2016-10-03 11:49 AM - Martin Dobias

Fix identify tool for WMS if webkit is not available (fixes #14658)

History

#1 - 2016-04-11 10:20 AM - Giovanni Manghi
- Operating System deleted (WINDOWS 8)
- Target version deleted (Version 2.14)

this is the log

2016-04-11T18:20:17
2016-04-11T18:20:18
2016-04-11T718:20:18
2016-04-11T718:20:18
http://webapps.sit.puglia.it/arcgis/rest/services/Background/Catastolmpianto/ImageServer/WMT S/tile/1.0.0/Background_Catastolmpianto/default/native TileMat
nativeTileMatrixSet/0/506/564.png)

repeat tileRequest 1 tile O(retry 1)
repeat tileRequest 1 tile O(retry 2)
repeat tileRequest 1 tile O(retry 3)

- O O o

Tile request max retry error. Failed 3 requests for tile 0 of tileRequest 1 (url:

#2 - 2016-04-12 09:32 AM - Vincenzo Pizzo
- Assignee set to Giovanni Manghi

Sorry but I'm a novice.

What do you mean?
http://webapps.sit.puglia.it/arcgis/rest/services/Background/CatastoImpianto/ImageServer/WMTS/1.0.0/WMTSCapabilities.xml

#3 - 2016-04-13 07:03 AM - Jiirgen Fischer
- Assignee deleted (Giovanni Manghi)

#4 - 2016-04-13 07:52 AM - Giovanni Manghi

Vincenzo Pizzo wrote:

Sorry but I'm a novice.

What do you mean?

it was just to add more informations to this report.

#5 - 2016-04-28 03:01 PM - Saber Razmjooei

- Status changed from Open to Feedback

Are you trying to add it from Layer > Add Layer > Add WMS or through the Browser panel.

| had some problems (with 2.8) when trying to add it from the Browser panel but from layer or toolbar it works fine.

#6 - 2016-05-23 06:55 AM - Giovanni Manghi

- Status changed from Feedback to Open

Saber Razmjooei wrote:

Are you trying to add it from Layer > Add Layer > Add WMS or through the Browser panel.

I had some problems (with 2.8) when trying to add it from the Browser panel but from layer or toolbar it works fine.

this does not seems the case.

Other arcgis 10 based wmts services seems to work, like

http://basemap.nationalmap.gov/arcgis/rest/services/USGSHydroNHD/MapServer/WMTS/1.0.0/WMTSCapabilities.xml

but anyway in the log do still show similar log messages like the one posted above.

#7 - 2016-10-02 11:29 PM - Martin Dobias

My impression is that the server does not follow WMTS specification properly.

Info from GetCapabilities ... layer's extent:
<ows:BoundingBox crs="urn:ogc:def:crs:EPSG::32633">
<ows:LowerCorner>494382.83364768786 4409764.91267182</ows:LowerCorner>

<ows:UpperCorner>800070.7019800352 4683797.957030918</ows:UpperCorner>
</ows:BoundingBox>
http://basemap.nationalmap.gov/arcgis/rest/services/USGSHydroNHD/MapServer/WMTS/1.0.0/WMTSCapabilities.xml

And the base tile matrix:

<TileMatrix>

<ows:|dentifier>0</ows:Identifier>
<ScaleDenominator>7559.523809523809</ScaleDenominator>
<TopLeftCorner>-5120900.0 9998100.0</TopLeftCorner>
<TileWidth>256</TileWidth>

<TileHeight>256</TileHeight>
<MatrixWidth>565</MatrixWidth>
<MatrixHeight>507</MatrixHeight>

</TileMatrix>

Now, valid range of tiles for zoom level 0 are in interval <9807, 10313 for X tile numbers and <10362, 10926> for Y tile numbers - it is mentioned here [1]
(look for Start Tile / End Tile links) but such information does not appear in WMTS GetCapabilities. QGIS makes use of the MatrixWidth and MatrixHeight
values, so even though if it calculates correct tile for area within valid extent, e.g. tile [10062, 10702], see [2], it clamps the tile range to <0, MatrixWidth-1>

for X tile numbers and <0, MatrixHeight-1> for Y tile numbers. (Optionally, it uses TileMatrixLimits if they are present, which is not the case here).

In my opinion, the server should report correct MatrixWidth and MatrixHeight values, and optionally it should make use of TileMatrixLimits to define valid
range of tiles. A second opinion would be welcome to confirm or reject my theory.

If | remove bounds checking in QgsWmtsTileMatrix::viewExtentIntersection(), things work as expected. It may be possible to add an option to disable the
bounds checking to work around issues with other ArcGIS WMTS servers.

[1] http://webapps.sit.puglia.it/arcgis/rest/services/Background/Catastolmpianto/ImageServer/

[2]
http://webapps.sit.puglia.it/arcgis/rest/services/Background/Catastolmpianto/ImageServer/WMT S/tile/1.0.0/Background_Catastolmpianto/default/default
28mm/0/10062/10702.png

#8 - 2016-10-03 02:53 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"430694ba9a2beb5fe23d5814b63aaecdbee7a3d7".

#9 - 2016-10-03 02:56 AM - Martin Dobias
- Status changed from Closed to Feedback

Arrgh... this one is not fixed yet, | have only mistakenly mentioned this bug in my commit (it actually fixes #15596)

#10 - 2017-01-02 06:47 AM - Giovanni Manghi
- Status changed from Feedback to Open

#11 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
http://webapps.sit.puglia.it/arcgis/rest/services/Background/CatastoImpianto/ImageServer/
http://webapps.sit.puglia.it/arcgis/rest/services/Background/CatastoImpianto/ImageServer/WMTS/tile/1.0.0/Background_CatastoImpianto/default/default028mm/0/10062/10702.png
http://webapps.sit.puglia.it/arcgis/rest/services/Background/CatastoImpianto/ImageServer/WMTS/tile/1.0.0/Background_CatastoImpianto/default/default028mm/0/10062/10702.png

#12 - 2017-05-23 10:47 AM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|430694ba9a2beb5fe23d5814b63aaecdbee7a3d7.
